<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html">notifications</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html">SQLiteNotificationsStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_s_q_lite_notifications_storage_8h_source.html">SQLiteNotificationsStorage.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html" title="alexaClientSDK::capability\lAgents::notifications::\lNotificationsStorageInterface" alt="" coords="5,5,198,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html" title="alexaClientSDK::capability\lAgents::notifications::\lNotificationsStorageInterface" alt="" coords="5,5,198,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4de59eeace1e25c74309790baefa5ad7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a4de59eeace1e25c74309790baefa5ad7">SQLiteNotificationsStorage</a> (const std::string &amp;databaseFilePath)</td></tr>
<tr class="separator:a4de59eeace1e25c74309790baefa5ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6939f2699ecc12e9bf32b0103785e261"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a6939f2699ecc12e9bf32b0103785e261">~SQLiteNotificationsStorage</a> ()</td></tr>
<tr class="separator:a6939f2699ecc12e9bf32b0103785e261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c4a6e023f0c03217333c66de84eab4d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a4c4a6e023f0c03217333c66de84eab4d">createDatabase</a> () override</td></tr>
<tr class="separator:a4c4a6e023f0c03217333c66de84eab4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0bdd6b4d86b7668c25ca10e1205454c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#ae0bdd6b4d86b7668c25ca10e1205454c">open</a> () override</td></tr>
<tr class="separator:ae0bdd6b4d86b7668c25ca10e1205454c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e722b2b201f04f278f4a28d48556b3d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a0e722b2b201f04f278f4a28d48556b3d">close</a> () override</td></tr>
<tr class="separator:a0e722b2b201f04f278f4a28d48556b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690f61ddced84bf930aadfc31eeb2047"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a690f61ddced84bf930aadfc31eeb2047">enqueue</a> (const <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a> &amp;notificationIndicator) override</td></tr>
<tr class="separator:a690f61ddced84bf930aadfc31eeb2047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2be6bf9565b591c880d0c6f050937e65"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a2be6bf9565b591c880d0c6f050937e65">dequeue</a> () override</td></tr>
<tr class="separator:a2be6bf9565b591c880d0c6f050937e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14d6ed111789ee4f6dc2a131c8db2142"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a14d6ed111789ee4f6dc2a131c8db2142">peek</a> (<a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a> *notificationIndicator) override</td></tr>
<tr class="separator:a14d6ed111789ee4f6dc2a131c8db2142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedc524b99d5ba34d8219273d98a22e24"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#aedc524b99d5ba34d8219273d98a22e24">setIndicatorState</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> state) override</td></tr>
<tr class="separator:aedc524b99d5ba34d8219273d98a22e24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e1c4fffba0f9d6dd99ff4b469951527"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a1e1c4fffba0f9d6dd99ff4b469951527">getIndicatorState</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> *state) override</td></tr>
<tr class="separator:a1e1c4fffba0f9d6dd99ff4b469951527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e7d1ff35cb9236cdf9aea4a4d12f1f0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a9e7d1ff35cb9236cdf9aea4a4d12f1f0">checkForEmptyQueue</a> (bool *empty) override</td></tr>
<tr class="separator:a9e7d1ff35cb9236cdf9aea4a4d12f1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a057147d3e904bffec04f7eead1fced21"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a057147d3e904bffec04f7eead1fced21">clearNotificationIndicators</a> () override</td></tr>
<tr class="separator:a057147d3e904bffec04f7eead1fced21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a058864b577e5a9c5adf87857e4fdf778"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a058864b577e5a9c5adf87857e4fdf778">getQueueSize</a> (int *size) override</td></tr>
<tr class="separator:a058864b577e5a9c5adf87857e4fdf778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a></td></tr>
<tr class="memitem:a2f5f9bc0e46d2348ab309ab89c87c03c inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2f5f9bc0e46d2348ab309ab89c87c03c">~NotificationsStorageInterface</a> ()=default</td></tr>
<tr class="separator:a2f5f9bc0e46d2348ab309ab89c87c03c inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:adb0f377d581ad792eccc8ad838fd4698"><td class="memItemLeft" align="right" valign="top">static std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html">SQLiteNotificationsStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#adb0f377d581ad792eccc8ad838fd4698">create</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">avsCommon::utils::configuration::ConfigurationNode</a> &amp;configurationRoot)</td></tr>
<tr class="separator:adb0f377d581ad792eccc8ad838fd4698"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a></td></tr>
<tr class="memitem:a98080ab5d94a8f1798b05abe18635442 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a98080ab5d94a8f1798b05abe18635442">IndicatorState</a> = <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">avsCommon::avs::IndicatorState</a></td></tr>
<tr class="memdesc:a98080ab5d94a8f1798b05abe18635442 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Some useful shorthand.  <a href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a98080ab5d94a8f1798b05abe18635442">More...</a><br /></td></tr>
<tr class="separator:a98080ab5d94a8f1798b05abe18635442 inherit pub_types_classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">An implementation that allows us to store NotificationIndicators using SQLite. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4de59eeace1e25c74309790baefa5ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4de59eeace1e25c74309790baefa5ad7">&#9670;&nbsp;</a></span>SQLiteNotificationsStorage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::SQLiteNotificationsStorage </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>databaseFilePath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dbFilePath</td><td>The location of the SQLite database file. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6939f2699ecc12e9bf32b0103785e261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6939f2699ecc12e9bf32b0103785e261">&#9670;&nbsp;</a></span>~SQLiteNotificationsStorage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::~SQLiteNotificationsStorage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9e7d1ff35cb9236cdf9aea4a4d12f1f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e7d1ff35cb9236cdf9aea4a4d12f1f0">&#9670;&nbsp;</a></span>checkForEmptyQueue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::checkForEmptyQueue </td>
          <td>(</td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>empty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks if there are any <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a> records in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">empty</td><td>Whether there were any records in the database. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a67aa409af0aed34e41dc17240fe3d90b">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a057147d3e904bffec04f7eead1fced21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a057147d3e904bffec04f7eead1fced21">&#9670;&nbsp;</a></span>clearNotificationIndicators()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::clearNotificationIndicators </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Clears the database of all <code>NotificationIndicators</code>.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the clear operation was successful. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a5472b2cc4073addea17e0deca304e519">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a0e722b2b201f04f278f4a28d48556b3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e722b2b201f04f278f4a28d48556b3d">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Close the currently open database, if one is open. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a2e8e0ca85a40291d179f955a33f3505f">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="adb0f377d581ad792eccc8ad838fd4698"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb0f377d581ad792eccc8ad838fd4698">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html">SQLiteNotificationsStorage</a> &gt; alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::create </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">avsCommon::utils::configuration::ConfigurationNode</a> &amp;&#160;</td>
          <td class="paramname"><em>configurationRoot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Factory method for creating a storage object for Notifications based on an SQLite database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">configurationRoot</td><td>The global config object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the SQLiteMessagetStorge object, nullptr if there's an error creating it. </dd></dl>

</div>
</div>
<a id="a4c4a6e023f0c03217333c66de84eab4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c4a6e023f0c03217333c66de84eab4d">&#9670;&nbsp;</a></span>createDatabase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::createDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates a new database. If a database is already being handled by this object or there is another internal error, then this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is created ok, or <code>false</code> if a database is already being handled by this object or there is a problem creating the database. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6ecee82dc58ecf8ad5101572585f7889">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a2be6bf9565b591c880d0c6f050937e65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2be6bf9565b591c880d0c6f050937e65">&#9670;&nbsp;</a></span>dequeue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::dequeue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Dequeues the next <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code> in the database.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the dequeue operation was successful. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#abc1461d794d8f3e3c71246240587f5b3">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a690f61ddced84bf930aadfc31eeb2047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690f61ddced84bf930aadfc31eeb2047">&#9670;&nbsp;</a></span>enqueue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::enqueue </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a> &amp;&#160;</td>
          <td class="paramname"><em>notificationIndicator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Enqueues a single <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code> in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">notificationIndicator</td><td>The <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code> to enqueue. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code> was successfully enqueued. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ae2efb8caebf34f82d54c1fc0874d98a2">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a1e1c4fffba0f9d6dd99ff4b469951527"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e1c4fffba0f9d6dd99ff4b469951527">&#9670;&nbsp;</a></span>getIndicatorState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::getIndicatorState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Retrieves the currently stored <code>IndicatorState</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">state</td><td>A pointer to receive the currently stored <code>IndicatorState</code> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the get operation was successful. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>The default IndicatorState for a new database is <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a0766f65a53522271be518260c5727a3fa88559a0cfd8250c9d65970cc145c92d4">IndicatorState::OFF</a>. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#af230a2ba6919fe579f6be6e82ee8a29d">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a058864b577e5a9c5adf87857e4fdf778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a058864b577e5a9c5adf87857e4fdf778">&#9670;&nbsp;</a></span>getQueueSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::getQueueSize </td>
          <td>(</td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Gets the size of the queue (number of records in the queue table).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">size</td><td>A pointer to receive the calculated size. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the size operation was successful. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a8d38c62f0093b3e1a5b9c2f240b35deb">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="ae0bdd6b4d86b7668c25ca10e1205454c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0bdd6b4d86b7668c25ca10e1205454c">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Open an existing database. If this object is already managing an open database, or there is a problem opening the database, this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is opened ok, <code>false</code> if this object is already managing an open database, or if there is another internal reason the database could not be opened. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a09bcdd7cb6115d1a73d90235bd254d24">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="a14d6ed111789ee4f6dc2a131c8db2142"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14d6ed111789ee4f6dc2a131c8db2142">&#9670;&nbsp;</a></span>peek()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::peek </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a> *&#160;</td>
          <td class="paramname"><em>notificationIndicator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Peeks at the next <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code> in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">notificationIndicator</td><td>A pointer to receive the peeked <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the peek operation was successful. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ab631db6e3015e95055d75a32eb8d0b5c">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<a id="aedc524b99d5ba34d8219273d98a22e24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedc524b99d5ba34d8219273d98a22e24">&#9670;&nbsp;</a></span>setIndicatorState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::setIndicatorState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Stores the current <code>IndicatorState</code>.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the store operation was successful. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a6b9b7bb20a8a9716f3ff7f7efafa5dfa">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Notifications/include/Notifications/<a class="el" href="_s_q_lite_notifications_storage_8h_source.html">SQLiteNotificationsStorage.h</a></li>
<li>/workplace/avs-device-sdk/CapabilityAgents/Notifications/src/<a class="el" href="_s_q_lite_notifications_storage_8cpp.html">SQLiteNotificationsStorage.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
